org.apache.hadoop.mapred

## Class TextOutputFormat<K,V>

- java.lang.Object
- - org.apache.hadoop.mapred.FileOutputFormat<K,V>
  - - org.apache.hadoop.mapred.TextOutputFormat<K,V>

- All Implemented Interfaces:
    OutputFormat<K,V>

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class TextOutputFormat<K,V>
      extends FileOutputFormat<K,V>

  An `OutputFormat` that writes plain text files.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextOutputFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecordWriter<K,V>` | `getRecordWriter(FileSystem ignored, JobConf job, String name, Progressable progress)` Get the `RecordWriter` for the given job.

    - ### Methods inherited from class org.apache.hadoop.mapred.FileOutputFormat

      `checkOutputSpecs, getCompressOutput, getOutputCompressorClass, getOutputPath, getPathForCustomFile, getTaskOutputPath, getUniqueName, getWorkOutputPath, setCompressOutput, setOutputCompressorClass, setOutputPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextOutputFormat

          public TextOutputFormat()

  - ### Method Detail

    - #### getRecordWriter

          public RecordWriter<K,V> getRecordWriter(FileSystem ignored,
                                                   JobConf job,
                                                   String name,
                                                   Progressable progress)
                                            throws IOException

      Description copied from interface: `OutputFormat`
      Get the `RecordWriter` for the given job.
      Specified by:
        `getRecordWriter` in interface `OutputFormat<K,V>`
      Specified by:
        `getRecordWriter` in class `FileOutputFormat<K,V>`
        `job` - configuration for the job whose output is being written.
        `name` - the unique name for this part of the output.
        `progress` - mechanism for reporting progress while writing to file.
      Returns:
        a `RecordWriter` to write the output for the job.
      Throws:
        `IOException`

Copyright © 2022 Apache Software Foundation. All rights reserved.